Test::Array::VarArgsIterator Class Reference

Class for testing the VarArgs iterator More...

## Public Member Functions

| VarArgsIterator (void)
| Initialize test.
bool | run (void)
| Perform actual tests.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Types

typedef Gecode::ArgArrayBase< int > | Array
| Array type being tested.

## Static Protected Attributes

static const int | n = 16
| Maximum array size.
Static Protected Attributes inherited from Test::Array::Iterator
static const int | n = 16
| Maximum array size.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Protected Member Functions inherited from Test::Array::Iterator
| Iterator (const std::string &name)
| Initialize test.
template<class Array>
bool | runTestForArray (Array &a)
| Perform actual tests.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Class for testing the VarArgs iterator

Definition at line 211 of file array.cpp.

## Member Typedef Documentation

## Array

typedef Gecode::ArgArrayBase<int> Test::Array::VarArgsIterator::Array

protected

Array type being tested.

Definition at line 216 of file array.cpp.

## Constructor & Destructor Documentation

## VarArgsIterator()

Test::Array::VarArgsIterator::VarArgsIterator | ( | void |  | ) |

inline

Initialize test.

Definition at line 219 of file array.cpp.

## Member Function Documentation

## run()

bool Test::Array::VarArgsIterator::run | ( | void |  | ) |

inline virtual

Perform actual tests.

Implements Test::Base.

Definition at line 221 of file array.cpp.

## Member Data Documentation

## n

const int Test::Array::VarArgsIterator::n = 16

static protected

Maximum array size.

Definition at line 214 of file array.cpp.

The documentation for this class was generated from the following file:

- test/array.cpp